Commit 98dedfec authored by Philip Withnall's avatar Philip Withnall Committed by Jens Georg
Browse files

build: Add libuuid to Requires.private in the pkg-config files

It’s a private dependency, and if it’s not listed here, statically linking
against libgupnp will fail with undefined symbol errors for libuuid symbols.

https://bugzilla.gnome.org/show_bug.cgi?id=711027
parent ad516202
......@@ -8,4 +8,4 @@ Description: GObject-based UPnP library
Version: @VERSION@
Libs: ${libdir}/libgupnp-1.0.la
Cflags: -I${includedir}
Requires.private: gssdp-1.0 libxml-2.0 libsoup-2.4
Requires.private: gssdp-1.0 libxml-2.0 libsoup-2.4 uuid
......@@ -8,4 +8,4 @@ Description: GObject-based UPnP library
Version: @VERSION@
Libs: -L${libdir} -lgupnp-1.0
Cflags: -I${includedir}/gupnp-1.0
Requires.private: gssdp-1.0 libxml-2.0 libsoup-2.4
Requires.private: gssdp-1.0 libxml-2.0 libsoup-2.4 uuid
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment